import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;

public class Main extends JFrame {

    public Main() {
	
	setTitle("The JetChart Library - XY line chart example");

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent evt) {
		    System.exit(0);
		}
	    });
	
	ScatterGraph sg=new ScatterGraph();
	
	setChartProperties(sg);
	
	double[][] values1={{100,80},{50,-120},{30,-40},{-65,80},{-40,30},
	{-30,-80},{-60,-90},{-90,-60}};
	
        double[][] values2={{-20,-50},{-60,45},{60,70},{90,-60},{-45,-100}};

	XYLineSerie xy1=new XYLineSerie(values1,"XY line series 1");
	xy1.setColor(Color.red);
        xy1.setThickness(2);

	// The legend symbol is set to match series' marks shape.
	xy1.setLegendStyle(XYLineSerie.MARK_SHAPE_LEGEND);
	
	xy1.setMarksStyle(XYLineSerie.SOLID_TRIANGLE_MARK);
	xy1.setMarksColor(Color.green);
	

        XYLineSerie xy2=new XYLineSerie(values2,"XY line series 2");
        xy2.setColor(Color.blue);
        xy2.setThickness(2);
	xy2.setLegendStyle(XYLineSerie.MARK_SHAPE_LEGEND);
	xy2.setMarksStyle(XYLineSerie.SOLID_DIAMOND_MARK);
	xy2.setMarksColor(Color.magenta);

	sg.addSerie(xy1);
        sg.addSerie(xy2);

	getContentPane().add("Center",sg);

	setSize(500,400);

	setVisible(true);

    }

    private void setChartProperties(ScatterGraph sg) {

	sg.setTitle(new String[]{"The JetChart Library","XY line chart example"});
	sg.getToolTip().setEnabled(true);
	
	Scale vScale=sg.getVScale();
	vScale.setPosition(Scale.LEFT_RIGHT);
	vScale.setValueFormat("###,###");
	
	Scale hScale=sg.getHScale();
	hScale.setPosition(Scale.TOP_BOTTOM);
	hScale.setValueFormat("###,###");

	Grid grid=sg.getGrid();
	grid.setEnabled(true);
        grid.setColoredBandsEnabled(true);

	GridCrossedLines gc=sg.getGridCrossedLines();
	gc.setEnabled(true);
	gc.setColor(Color.gray);
	gc.setStyle(GridCrossedLines.DASHED);
        gc.setDashSize(3);

        Quadrant q1=sg.getQuadrant(1);
        q1.setTitle("First Quadrant");
        Quadrant q2=sg.getQuadrant(2);
        q2.setTitle("Second Quadrant");
        Quadrant q3=sg.getQuadrant(3);
        q3.setTitle("Third Quadrant");
        Quadrant q4=sg.getQuadrant(4);
        q4.setTitle("Fourth Quadrant");


    }
		

    public static void main(String[] args) {
	new Main();
    }
}
	
